com.verisign.epp.serverstub

## Class PremiumDomainHandler

- java.lang.Object
- - com.verisign.epp.framework.EPPDomainHandler
  - - com.verisign.epp.serverstub.DomainHandler
    - - com.verisign.epp.serverstub.PremiumDomainHandler

- All Implemented Interfaces:
    EPPEventHandler

      public class PremiumDomainHandler
      extends DomainHandler

  Extension to the standard `DomainHandler` in support of premium domain.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PremiumDomainHandler()` Constructs an instance of PremiumDomainHandler

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected EPPEventResponse` | `doDomainCheck(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Domain Check command is received.
    `protected EPPEventResponse` | `doDomainUpdate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Domain Update command is received.

    - ### Methods inherited from class com.verisign.epp.serverstub.DomainHandler

      `doDomainCreate, doDomainDelete, doDomainInfo, doDomainRenew, doDomainTransfer, postHandleEvent, preHandleEvent`

    - ### Methods inherited from class com.verisign.epp.framework.EPPDomainHandler

      `getNamespace, handleEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PremiumDomainHandler

          public PremiumDomainHandler()

      Constructs an instance of PremiumDomainHandler

  - ### Method Detail

    - #### doDomainCheck

          protected EPPEventResponse doDomainCheck(EPPEvent aEvent,
                                                   java.lang.Object aData)

      Invoked when a Domain Check command is received.
      Overrides:
        `doDomainCheck` in class `DomainHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doDomainUpdate

          protected EPPEventResponse doDomainUpdate(EPPEvent aEvent,
                                                    java.lang.Object aData)

      Invoked when a Domain Update command is received.
      Overrides:
        `doDomainUpdate` in class `DomainHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

Copyright © VeriSign Inc. All Rights Reserved.